# Contributing

First, thanks for wanting to contribute. You’re awesome! :heart:

## Bugs

Think you’ve discovered a bug?

1. Search existing issues to see if it’s been reported.
2. Try the `master` branch to make sure it hasn’t been fixed.

```rb
gem "release-notes", git: "git@github.com:dvmonroe/release-notes.git"
```

If the above steps don’t help, create an issue.

- For exceptions, include the complete backtrace.

## New Features

If you’d like to discuss a new feature, create an issue and add the `Enhancement` GH label.

## Pull Requests

Create a pull request against master. A few tips:

- Keep changes to a minimum. If you have multiple features or fixes, submit multiple pull requests.
- Follow the existing style. The code should read like it’s written by a single person.
- Add one or more tests if possible. Make sure existing tests pass with:

```sh
bin/test
```

Feel free to open an issue to get feedback on your idea before spending too much time on it.

---
